curl --request POST \ --url https://api.siliconflow.com/v1/messages \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "moonshotai/Kimi-K2-Instruct", "messages": [ { "role": "user", "content": "What opportunities and challenges will the Chinese large model industry face in 2025?" } ], "max_tokens": 8192}'
import requests
url = "https://api.siliconflow.com/v1/messages"
payload = {
"model": "moonshotai/Kimi-K2-Instruct",
"messages": [
{
"role": "user",
"content": "What opportunities and challenges will the Chinese large model industry face in 2025?"
}
],
"max_tokens": 8192
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'moonshotai/Kimi-K2-Instruct',
messages: [
{
role: 'user',
content: 'What opportunities and challenges will the Chinese large model industry face in 2025?'
}
],
max_tokens: 8192
})
};
fetch('https://api.siliconflow.com/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Request was rejected due to rate limiting. If you want more, please contact contact@siliconflow.com. Details:TPM limit reached.",
"data": "<string>"
}
{
"code": 50505,
"message": "Model service overloaded. Please try again later.",
"data": "<string>"
}
"<string>"
文本系列
创建对话请求(Anthropic)
Creates a model response for the given chat conversation.
POST
/
messages
Chat Completions
curl --request POST \ --url https://api.siliconflow.com/v1/messages \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "moonshotai/Kimi-K2-Instruct", "messages": [ { "role": "user", "content": "What opportunities and challenges will the Chinese large model industry face in 2025?" } ], "max_tokens": 8192}'
import requests
url = "https://api.siliconflow.com/v1/messages"
payload = {
"model": "moonshotai/Kimi-K2-Instruct",
"messages": [
{
"role": "user",
"content": "What opportunities and challenges will the Chinese large model industry face in 2025?"
}
],
"max_tokens": 8192
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'moonshotai/Kimi-K2-Instruct',
messages: [
{
role: 'user',
content: 'What opportunities and challenges will the Chinese large model industry face in 2025?'
}
],
max_tokens: 8192
})
};
fetch('https://api.siliconflow.com/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Request was rejected due to rate limiting. If you want more, please contact contact@siliconflow.com. Details:TPM limit reached.",
"data": "<string>"
}
{
"code": 50505,
"message": "Model service overloaded. Please try again later.",
"data": "<string>"
}
Corresponding Model Name. To better enhance service quality, we will make periodic changes to the models provided by this service, including but not limited to model on/offlining and adjustments to model service capabilities. We will notify you of such changes through appropriate means such as announcements or message pushes where feasible.
Custom text sequences that will cause the model to stop generating.
Our models will normally stop when they have naturally completed their turn, which will result in a response stop_reason of "end_turn".
If you want the model to stop generating when it encounters custom strings of text, you can use the stop_sequences parameter. If the model encounters one of the custom sequences, the response stop_reason value will be "stop_sequence" and the response stop_sequence value will contain the matched stop sequence.
This is an array of content blocks, each of which has a type that determines its shape.
Example:
[{"type": "text", "text": "Hi"}]
If the request input messages ended with an assistant turn, then the response content will continue directly from that last turn. You can use this to constrain the model's output.
For example, if the input messages were:
[ {"role": "user", "content": "What's the Greek name for Sun? (A) Sol (B) Helios (C) Sun"}, {"role": "assistant", "content": "The best answer is ("} ]
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"SiliconFlow","description":"Complete API documentation for SiliconFlow AI models. Quick start guides, SDKs, code examples, and developer resources for seamless integration.","colors":{"primary":"#6E29F6","light":"#A070FF","dark":"#6E29F6"},"logo":{"light":"https://mintcdn.com/siliconflowcom/6M3wUsNWJWlb0b6O/logo/siliconflow.png?fit=max\u0026auto=format\u0026n=6M3wUsNWJWlb0b6O\u0026q=85\u0026s=d452a60af724c3dac4e198ce51c2fb39","dark":"https://mintcdn.com/siliconflowcom/6M3wUsNWJWlb0b6O/logo/siliconflow_dark.png?fit=max\u0026auto=format\u0026n=6M3wUsNWJWlb0b6O\u0026q=85\u0026s=5666f6fc58a575a49981bc4978479f79","href":"https://www.siliconflow.com/"},"favicon":{"light":"https://mintcdn.com/siliconflowcom/PEoqLFhbLc3qdq9M/favicon.png?fit=max\u0026auto=format\u0026n=PEoqLFhbLc3qdq9M\u0026q=85\u0026s=363f10cd155e426c072eb6d48afc6fc2","dark":"https://mintcdn.com/siliconflowcom/PEoqLFhbLc3qdq9M/favicon_dark.png?fit=max\u0026auto=format\u0026n=PEoqLFhbLc3qdq9M\u0026q=85\u0026s=a622119b4af2c89790ecdc869eb26717"},"api":{"openapi":["cn/api-reference/openapi.yaml"],"playground":{"display":"interactive","proxy":false},"examples":{"defaults":"required","languages":["bash","python","javascript"]}},"appearance":{"default":"dark"},"background":{"decoration":"grid"},"navbar":{"primary":{"type":"button","label":"Get Started","href":"https://cloud.siliconflow.com"}},"footer":{"socials":{"x":"https://x.com/SiliconFlowAI","linkedin":"https://www.linkedin.com/company/siliconflow","discord":"https://discord.com/invite/7Ey3dVNFpT"},"links":[{"header":"Models","items":[{"label":"Images","href":"https://www.siliconflow.com/models"},{"label":"Video","href":"https://www.siliconflow.com/models"},{"label":"LLM","href":"https://www.siliconflow.com/models"},{"label":"Audio","href":"https://www.siliconflow.com/models"}]},{"header":"Products","items":[{"label":"Inference","href":"https://www.siliconflow.com/products"},{"label":"Fine-tuning","href":"https://www.siliconflow.com/products"},{"label":"Reserved GPUs","href":"https://www.siliconflow.com/products"}]},{"header":"Pages","items":[{"label":"Blogs","href":"https://www.siliconflow.com/blog"},{"label":"About","href":"https://www.siliconflow.com/about"},{"label":"Contact","href":"https://www.siliconflow.com/contact"}]}]},"seo":{"metatags":{"keywords":"AI API documentation, LLM API guide, developer documentation, API integration guide, model API reference, AI development resources","color-scheme":"light dark"}},"integrations":{"ga4":{"measurementId":"G-5TNB9RS272"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"siliconflowcom","hasAudioNarration":false,"actualSubdomain":"siliconflowcom","customDomains":["docs.siliconflow.com"],"gitSource":{"type":"github","owner":"siliconflow-inc","repo":"global-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6acca59d24b3845a5f9dfffe","collectionId":"78d2e19e-0226-42f4-98bf-c20472eadf8c","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6acca59d24b3845a5f9dfffe"},"entitlements":{},"buildId":"6acca59d24b3845a5f9dfffe","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"Scenario Example","count":44},{"language":"default","tag":"场景示例","count":18},{"language":"default","tag":"API Reference","count":15},{"language":"default","tag":"API 手册","count":14},{"language":"default","tag":"用户指南","count":14},{"language":"default","tag":"User Guides","count":14},{"language":"default","tag":"常见问题","count":6},{"language":"default","tag":"平台能力","count":6},{"language":"default","tag":"Assistants","count":6},{"language":"default","tag":"Capabilities","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"cn/api-reference/chat-completions/messages","slug":"/cn/api-reference/chat-completions/messages","pageMetadata":{"title":"创建对话请求(Anthropic)","openapi":"post /messages","description":"Creates a model response for the given chat conversation.","href":"/cn/api-reference/chat-completions/messages"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Creates a model response for the given chat conversation.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"创建对话请求(Anthropic)","openapi":"post /messages","description":"Creates a model response for the given chat conversation.","href":"/cn/api-reference/chat-completions/messages"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Chat Completions","operationId":"chat-completions","description":"Creates a model response for the given chat conversation.","tags":["messages"],"security":["59c3763f-978a-47c0-9847-dabf6237729d","cf7c4263-6df8-4642-ba11-73f452baa794"],"requestBody":"4f7917c1-fc9b-4627-afdb-b7e6f5df413a","responses":{"200":"9e1cdf42-2ba5-4d06-b398-041c09d0c531","400":"dacc42cd-67be-43c8-9851-99127eca251b","401":"1bc60660-a42a-4c2f-8460-ce208e225b6f","404":"f3936cef-a501-4a49-8a8e-a0886d5c2306","429":"bb74bd6a-6343-418c-b8c0-f6d1233466c4","503":"9fe97424-d9b0-43bc-ace2-7d4545ff289e","504":"72649293-8e2b-40ca-b97f-8e194972610f"},"deprecated":false,"method":"post","type":"path","servers":["37d826e0-7779-430a-b4b6-49cef5d5c3b9"],"path":"/messages","baseUrlOptions":["https://api.siliconflow.com/v1"],"title":"Chat Completions","codeSamples":[],"requestExampleLanguages":["bash","python","javascript"],"requiredOnlyExamples":true,"requestExampleType":"generated","responseExampleType":"generated","disableProxy":true},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"type":"object","title":"LLM","required":["model","messages","max_tokens"],"properties":{"model":{"type":"string","description":"Corresponding Model Name. To better enhance service quality, we will make periodic changes to the models provided by this service, including but not limited to model on/offlining and adjustments to model service capabilities. We will notify you of such changes through appropriate means such as announcements or message pushes where feasible.","example":"moonshotai/Kimi-K2-Instruct","default":null,"enum":["deepseek-ai/DeepSeek-V3.2","deepseek-ai/DeepSeek-V3.2-Exp","deepseek-ai/DeepSeek-V3.1-Terminus","deepseek-ai/DeepSeek-V3.1","deepseek-ai/DeepSeek-V3","nex-agi/DeepSeek-V3.1-Nex-N1","moonshotai/Kimi-K2.5","moonshotai/Kimi-K2-Instruct-0905","moonshotai/Kimi-K2-Instruct","moonshotai/Kimi-K2-Thinking","baidu/ERNIE-4.5-300B-A47B"],"isRequired":true,"uniqueKey":"model","typeLabel":"enum\u003cstring>"},"messages":{"type":"array","description":"A list of messages comprising the conversation so far.","items":{"type":"object","properties":{"role":{"type":"string","description":"The role of the messages author. Choice between: system, user.","example":"user","enum":["user","system","assistant"],"isRequired":true,"uniqueKey":"messages.items.[INDEX].role","typeLabel":"enum\u003cstring>"},"content":{"type":"string","description":"The contents of the message.","example":"What opportunities and challenges will the Chinese large model industry face in 2025?","isRequired":true,"uniqueKey":"messages.items.[INDEX].content","typeLabel":"string"}},"required":["role","content"],"uniqueKey":"messages.items.[INDEX]","typeLabel":"object"},"minItems":1,"maxItems":10,"isRequired":true,"uniqueKey":"messages","typeLabel":"object[]"},"max_tokens":{"type":"integer","description":"The maximum number of tokens to generate before stopping.\n\nNote that our models may stop _before_ reaching this maximum. This parameter only specifies the absolute maximum number of tokens to generate.\n\nDifferent models have different maximum values for this parameter. See [models](https://docs.siliconflow.com/cn/userguide/capabilities/text-generation) for details.","example":8192,"isRequired":true,"uniqueKey":"max_tokens","typeLabel":"integer"},"system":{"oneOf":[{"type":"string","title":"System","description":"System prompt.\n\nA system prompt is a way of providing context and instructions to llm, such as specifying a particular goal or role. ","uniqueKey":"system.oneOf.0","typeLabel":"string"},{"type":"array","items":{"additionalProperties":false,"properties":{"text":{"minLength":1,"title":"Text","type":"string","isRequired":true,"uniqueKey":"system.oneOf.1.items.[INDEX].text","typeLabel":"string"},"type":{"enum":["text"],"title":"Type","type":"string","isRequired":true,"uniqueKey":"system.oneOf.1.items.[INDEX].type","typeLabel":"enum\u003cstring>"}},"required":["text","type"],"title":"Text","type":"object","uniqueKey":"system.oneOf.1.items.[INDEX]","typeLabel":"Text · object"},"title":"System","description":"System prompt.\n\nA system prompt is a way of providing context and instructions to llm, such as specifying a particular goal or role. ","uniqueKey":"system.oneOf.1","typeLabel":"Text · object[]"}],"uniqueKey":"system","typeLabel":"string | Text · object[]"},"stop_sequences":{"type":"array","items":{"type":"string","uniqueKey":"stop_sequences.items.[INDEX]","typeLabel":"string"},"title":"Stop Sequences","description":"Custom text sequences that will cause the model to stop generating.\n\nOur models will normally stop when they have naturally completed their turn, which will result in a response `stop_reason` of `\"end_turn\"`.\n\nIf you want the model to stop generating when it encounters custom strings of text, you can use the `stop_sequences` parameter. If the model encounters one of the custom sequences, the response `stop_reason` value will be `\"stop_sequence\"` and the response `stop_sequence` value will contain the matched stop sequence.","uniqueKey":"stop_sequences","typeLabel":"string[]"},"stream":{"type":"boolean","description":"If set, tokens are returned as Server-Sent Events as they are made available. Stream terminates with `data: [DONE]`","example":true,"uniqueKey":"stream","typeLabel":"boolean"},"temperature":{"type":"number","description":"Determines the degree of randomness in the response.","format":"float","example":0.7,"maximum":2,"minimum":0,"uniqueKey":"temperature","typeLabel":"number\u003cfloat>"},"top_p":{"type":"number","description":"The `top_p` (nucleus) parameter is used to dynamically adjust the number of choices for each predicted token based on the cumulative probabilities.","format":"float","example":0.7,"minimum":0.1,"maximum":1,"uniqueKey":"top_p","typeLabel":"number\u003cfloat>"},"top_k":{"type":"number","format":"float","example":50,"minimum":0,"maximum":50,"uniqueKey":"top_k","typeLabel":"number\u003cfloat>"},"tools":{"type":"array","description":"Each tool definition includes:\n\n\n * `name`: Name of the tool.\n\n * `description`: Optional, but strongly-recommended\n description of the tool.\n\n * `input_schema`: [JSON\n schema](https://json-schema.org/draft/2020-12) for the\n tool `input` shape that the model will produce in\n `tool_use` output content blocks.\n","items":{"type":"object","properties":{"name":{"description":"Name of the tool.\n\nThis is how the tool will be called by the model and in `tool_use` blocks.","title":"Name","type":"string","isRequired":true,"uniqueKey":"tools.items.[INDEX].name","typeLabel":"string"},"input_schema":{"type":"object","properties":{"type":{"enum":["object"],"title":"Type","type":"string","isRequired":true,"uniqueKey":"tools.items.[INDEX].input_schema.type","typeLabel":"enum\u003cstring>"},"properties":{"type":"object","title":"Properties","uniqueKey":"tools.items.[INDEX].input_schema.properties","typeLabel":"Properties · object"},"required":{"type":"array","items":{"type":"string","uniqueKey":"tools.items.[INDEX].input_schema.required.items.[INDEX]","typeLabel":"string"},"title":"Required","uniqueKey":"tools.items.[INDEX].input_schema.required","typeLabel":"string[]"}},"required":["type"],"description":"[JSON schema](https://json-schema.org/draft/2020-12) for this tool's input.\nThis defines the shape of the `input` that your tool accepts and that the model will produce.","isRequired":true,"uniqueKey":"tools.items.[INDEX].input_schema","typeLabel":"object"}},"required":["name","input_schema"],"uniqueKey":"tools.items.[INDEX]","typeLabel":"object"},"uniqueKey":"tools","typeLabel":"object[]"},"tool_choice":{"oneOf":[{"type":"object","title":"Auto","description":"How the model should use the provided tools. The model can use a specific tool, any available tool, decide by itself, or not use tools at all.","required":["type"],"properties":{"type":{"enum":["auto"],"title":"Type","type":"string","isRequired":true,"uniqueKey":"tool_choice.oneOf.0.type","typeLabel":"enum\u003cstring>"},"disable_parallel_tool_use":{"description":"Whether to disable parallel tool use.\n\nDefaults to `false`. If set to `true`, the model will output at most one tool use.","title":"Disable Parallel Tool Use","type":"boolean","uniqueKey":"tool_choice.oneOf.0.disable_parallel_tool_use","typeLabel":"boolean"}},"additionalProperties":false,"uniqueKey":"tool_choice.oneOf.0","typeLabel":"Auto · object"},{"type":"object","title":"Tool","description":"How the model should use the provided tools. The model can use a specific tool, any available tool, decide by itself, or not use tools at all.","required":["name","type"],"properties":{"name":{"description":"The name of the tool to use.","title":"Name","type":"string","isRequired":true,"uniqueKey":"tool_choice.oneOf.1.name","typeLabel":"string"},"type":{"enum":["tool"],"title":"Type","type":"string","isRequired":true,"uniqueKey":"tool_choice.oneOf.1.type","typeLabel":"enum\u003cstring>"},"disable_parallel_tool_use":{"description":"Whether to disable parallel tool use.\n\nDefaults to `false`. If set to `true`, the model will output exactly one tool use.","title":"Disable Parallel Tool Use","type":"boolean","uniqueKey":"tool_choice.oneOf.1.disable_parallel_tool_use","typeLabel":"boolean"}},"additionalProperties":false,"uniqueKey":"tool_choice.oneOf.1","typeLabel":"Tool · object"},{"type":"object","title":"None","description":"How the model should use the provided tools. The model can use a specific tool, any available tool, decide by itself, or not use tools at all.","required":["type"],"properties":{"type":{"enum":["none"],"title":"Type","type":"string","isRequired":true,"uniqueKey":"tool_choice.oneOf.2.type","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"tool_choice.oneOf.2","typeLabel":"None · object"}],"uniqueKey":"tool_choice","typeLabel":"Auto · object | Tool · object | None · object"}},"uniqueKey":"","typeLabel":"LLM · object"},"examples":{"Example":{"title":"Example","value":{"model":"moonshotai/Kimi-K2-Instruct","messages":[{"role":"user","content":"What opportunities and challenges will the Chinese large model industry face in 2025?"}],"max_tokens":8192,"system":"\u003cstring>","stop_sequences":["\u003cstring>"],"stream":true,"temperature":0.7,"top_p":0.7,"top_k":50,"tools":[{"name":"\u003cstring>","input_schema":{"type":"object","properties":{},"required":["\u003cstring>"]}}],"tool_choice":{"type":"auto","disable_parallel_tool_use":true}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"9e1cdf42-2ba5-4d06-b398-041c09d0c531":{"description":"200","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","uniqueKey":"id","typeLabel":"string"},"type":{"default":"message","description":"Object type.\n\nFor Messages, this is always `\"message\"`.","enum":["message"],"title":"Type","type":"string","uniqueKey":"type","typeLabel":"enum\u003cstring>"},"role":{"default":"assistant","description":"Conversational role of the generated message.\n\nThis will always be `\"assistant\"`.","enum":["assistant"],"title":"Role","type":"string","uniqueKey":"role","typeLabel":"enum\u003cstring>"},"content":{"description":"Content generated by the model.\n\nThis is an array of content blocks, each of which has a `type` that determines its shape.\n\nExample:\n\n```json\n[{\"type\": \"text\", \"text\": \"Hi\"}]\n```\n\nIf the request input `messages` ended with an `assistant` turn, then the response `content` will continue directly from that last turn. You can use this to constrain the model's output.\n\nFor example, if the input `messages` were:\n```json\n[\n {\"role\": \"user\", \"content\": \"What's the Greek name for Sun? (A) Sol (B) Helios (C) Sun\"},\n {\"role\": \"assistant\", \"content\": \"The best answer is (\"}\n]\n```\n\nThen the response `content` might be:\n\n```json\n[{\"type\": \"text\", \"text\": \"B)\"}]\n```","items":{"type":"object","title":"Tool use","required":["id","input","name","type"],"properties":{"id":{"title":"Id","type":"string","isRequired":true,"uniqueKey":"content.items.[INDEX].id","typeLabel":"string"},"input":{"title":"Input","type":"object","isRequired":true,"uniqueKey":"content.items.[INDEX].input","typeLabel":"Input · object"},"name":{"minLength":1,"title":"Name","type":"string","isRequired":true,"uniqueKey":"content.items.[INDEX].name","typeLabel":"string"},"type":{"default":"tool_use","enum":["tool_use"],"title":"Type","type":"string","isRequired":true,"uniqueKey":"content.items.[INDEX].type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"content.items.[INDEX]","typeLabel":"Tool use · object"},"title":"Content","type":"array","uniqueKey":"content","typeLabel":"Tool use · object[]"},"model":{"description":"The model that handled the request.","title":"Model","type":"string","uniqueKey":"model","typeLabel":"string"},"stop_reason":{"type":"string","title":"Stop Reason","description":"The reason that we stopped.\n\nThis may be one the following values:\n* `\"end_turn\"`: the model reached a natural stopping point or one of your provided custom `stop_sequences` was generated\n* `\"max_tokens\"`: we exceeded the requested `max_tokens` or the model's maximum\n* `\"tool_use\"`: the model invoked one or more tools\n* `\"refusal\"`: when streaming classifiers intervene to handle potential policy violations\n\nIn non-streaming mode this value is always non-null. In streaming mode, it is null in the `message_start` event and non-null otherwise.","enum":["end_turn","max_tokens","tool_use","refusal"],"uniqueKey":"stop_reason","typeLabel":"enum\u003cstring>"},"stop_sequence":{"type":"string","title":"Stop Sequence","description":"Which custom stop sequence was generated, if any.\n\nThis value will be a non-null string if one of your custom stop sequences was generated.","uniqueKey":"stop_sequence","typeLabel":"string"},"usage":{"type":"object","title":"Usage","description":"Billing and rate-limit usage.","required":["input_tokens","output_tokens"],"example":{"input_tokens":2095,"output_tokens":503},"properties":{"input_tokens":{"description":"The number of input tokens which were used.","minimum":0,"title":"Input Tokens","type":"integer","isRequired":true,"uniqueKey":"usage.input_tokens","typeLabel":"integer"},"output_tokens":{"description":"The number of output tokens which were used.","minimum":0,"title":"Output Tokens","type":"integer","isRequired":true,"uniqueKey":"usage.output_tokens","typeLabel":"integer"}},"uniqueKey":"usage","typeLabel":"Usage · object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"\u003cstring>","type":"message","role":"assistant","content":[{"id":"\u003cstring>","input":{},"name":"\u003cstring>","type":"tool_use"}],"model":"\u003cstring>","stop_reason":"end_turn","stop_sequence":"\u003cstring>","usage":{"input_tokens":2095,"output_tokens":503}}}},"exampleType":"generated"}},"exampleType":"generated"},"dacc42cd-67be-43c8-9851-99127eca251b":{"description":"BadRequest","content":{"application/json":{"schema":{"type":"object","required":["message","data","code"],"properties":{"code":{"oneOf":[{"type":"integer","default":false,"example":20012,"isRequired":true,"uniqueKey":"code.oneOf.0","typeLabel":"integer"},{"type":"null","default":false,"example":20012,"isRequired":true,"uniqueKey":"code.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"code","typeLabel":"integer | null"},"message":{"type":"string","nullable":false,"isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"type":"string","nullable":false,"isRequired":true,"uniqueKey":"data","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":20012,"message":"\u003cstring>","data":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"1bc60660-a42a-4c2f-8460-ce208e225b6f":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"string","default":false,"example":"Invalid token","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"Invalid token"}},"exampleType":"generated"}},"exampleType":"generated"},"f3936cef-a501-4a49-8a8e-a0886d5c2306":{"description":"NotFound","content":{"application/json":{"schema":{"type":"string","default":false,"example":"404 page not found","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"404 page not found"}},"exampleType":"generated"}},"exampleType":"generated"},"bb74bd6a-6343-418c-b8c0-f6d1233466c4":{"description":"RateLimit","content":{"application/json":{"schema":{"type":"object","required":["message","data"],"properties":{"message":{"type":"string","example":"Request was rejected due to rate limiting. If you want more, please contact contact@siliconflow.com. Details:TPM limit reached.","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"type":"string","isRequired":true,"uniqueKey":"data","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"Request was rejected due to rate limiting. If you want more, please contact contact@siliconflow.com. Details:TPM limit reached.","data":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"9fe97424-d9b0-43bc-ace2-7d4545ff289e":{"description":"Overloaded","content":{"application/json":{"schema":{"type":"object","required":["code","message","data"],"properties":{"code":{"type":"integer","example":50505,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"message":{"type":"string","example":"Model service overloaded. Please try again later.","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"type":"string","nullable":false,"isRequired":true,"uniqueKey":"data","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":50505,"message":"Model service overloaded. Please try again later.","data":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"72649293-8e2b-40ca-b97f-8e194972610f":{"description":"Timeout","content":{"application/json":{"schema":{"type":"string","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"\u003cstring>"}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"59c3763f-978a-47c0-9847-dabf6237729d":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"your api key","description":"Use the following format for authentication: Bearer [\u003cyour api key>](https://cloud.siliconflow.com/account/ak)","scopes":[]}},"cf7c4263-6df8-4642-ba11-73f452baa794":{"apiKey":{"type":"apiKey","in":"header","name":"x-api-key","description":"Use the following format for authentication: [\u003cyour api key>](https://cloud.siliconflow.com/account/ak)","scopes":[]}}},"servers":{"37d826e0-7779-430a-b4b6-49cef5d5c3b9":{"url":"https://api.siliconflow.com/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"your api key","description":"Use the following format for authentication: Bearer [\u003cyour api key>](https://cloud.siliconflow.com/account/ak)","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Use the following format for authentication: Bearer [\u003cyour api key>](https://cloud.siliconflow.com/account/ak)","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"},{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","description":"Use the following format for authentication: [\u003cyour api key>](https://cloud.siliconflow.com/account/ak)","scopes":[]},"schema":{"title":"x-api-key","type":"string","description":"Use the following format for authentication: [\u003cyour api key>](https://cloud.siliconflow.com/account/ak)","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apiKey","name":"x-api-key"}],"title":"apiKey"}]},"originalFileLocation":"cn/api-reference/openapi.yaml"},"subdomain":"siliconflowcom","siteName":"SiliconFlow","title":"创建对话请求(Anthropic) - SiliconFlow","navMaps":{"firstHrefInVersion":{"English":{"href":"/en/api-reference/chat-completions/messages","matchLevel":1},"简体中文":{"href":"/cn/api-reference/chat-completions/messages","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2025-08-13T07:30:19.391Z","originalFileLocation":"cn/api-reference/chat-completions/messages.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Creates a model response for the given chat conversation.\">\u003cmeta data-mint-head name=\"keywords\" content=\"AI API documentation, LLM API guide, developer documentation, API integration guide, model API reference, AI development resources\">\u003cmeta data-mint-head name=\"application-name\" content=\"SiliconFlow\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"创建对话请求(Anthropic) - SiliconFlow\">\u003cmeta data-mint-head property=\"og:description\" content=\"Creates a model response for the given chat conversation.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"SiliconFlow\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.siliconflow.com/cn/api-reference/chat-completions/messages\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://siliconflowcom.mintlify.app/_mintlify/api/og/v2?division=%E6%96%87%E6%9C%AC%E7%B3%BB%E5%88%97\u0026amp;title=%E5%88%9B%E5%BB%BA%E5%AF%B9%E8%AF%9D%E8%AF%B7%E6%B1%82%EF%BC%88Anthropic%EF%BC%89\u0026amp;description=Creates+a+model+response+for+the+given+chat+conversation.\u0026amp;theme=7b3f1d7c7d8f8cae1d1ce100\u0026amp;signature=3d80381536f3792e741f9d00f27caab93c2a7395d87c271f2b6c60e9564e0a60\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"创建对话请求(Anthropic) - SiliconFlow\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Creates a model response for the given chat conversation.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://siliconflowcom.mintlify.app/_mintlify/api/og/v2?division=%E6%96%87%E6%9C%AC%E7%B3%BB%E5%88%97\u0026amp;title=%E5%88%9B%E5%BB%BA%E5%AF%B9%E8%AF%9D%E8%AF%B7%E6%B1%82%EF%BC%88Anthropic%EF%BC%89\u0026amp;description=Creates+a+model+response+for+the+given+chat+conversation.\u0026amp;theme=7b3f1d7c7d8f8cae1d1ce100\u0026amp;signature=3d80381536f3792e741f9d00f27caab93c2a7395d87c271f2b6c60e9564e0a60\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"SiliconFlow\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#6E29F6\">\u003cmeta data-mint-head name=\"color-scheme\" content=\"light dark\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.siliconflow.com/cn/api-reference/chat-completions/messages\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/cn/api-reference/chat-completions/messages.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.siliconflow.com/#organization\",\"name\":\"SiliconFlow\",\"url\":\"https://docs.siliconflow.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/siliconflowcom/6M3wUsNWJWlb0b6O/logo/siliconflow.png?fit=max\u0026auto=format\u0026n=6M3wUsNWJWlb0b6O\u0026q=85\u0026s=d452a60af724c3dac4e198ce51c2fb39\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.siliconflow.com#website\",\"name\":\"SiliconFlow\",\"url\":\"https://docs.siliconflow.com\",\"publisher\":{\"@id\":\"https://docs.siliconflow.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.siliconflow.com/cn/api-reference/chat-completions/messages#webpage\",\"url\":\"https://docs.siliconflow.com/cn/api-reference/chat-completions/messages\",\"name\":\"创建对话请求(Anthropic)\",\"description\":\"Creates a model response for the given chat conversation.\",\"dateModified\":\"2025-08-13T07:30:19.391Z\",\"isPartOf\":{\"@id\":\"https://docs.siliconflow.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.siliconflow.com/cn/api-reference/chat-completions/messages#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.siliconflow.com/cn/api-reference/chat-completions/messages#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"文本系列\",\"item\":\"https://docs.siliconflow.com/cn/api-reference/chat-completions/chat-completions\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"创建对话请求(Anthropic)\",\"item\":\"https://docs.siliconflow.com/cn/api-reference/chat-completions/messages\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.siliconflow.com/cn/api-reference/chat-completions/messages#apireference\",\"headline\":\"创建对话请求(Anthropic)\",\"name\":\"创建对话请求(Anthropic)\",\"description\":\"Creates a model response for the given chat conversation.\",\"url\":\"https://docs.siliconflow.com/cn/api-reference/chat-completions/messages\",\"mainEntityOfPage\":{\"@id\":\"https://docs.siliconflow.com/cn/api-reference/chat-completions/messages#webpage\"},\"dateModified\":\"2025-08-13T07:30:19.391Z\",\"publisher\":{\"@id\":\"https://docs.siliconflow.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.siliconflow.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"SiliconFlow\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"SiliconFlow","nav":{"global":null,"versions":[{"version":"English","pages":[{"title":"English","href":"/en/api-reference/chat-completions/messages"}]},{"version":"简体中文","tabs":[{"tab":"用户指南","pages":[{"title":"用户指南","href":"/cn/userguide/introduction"}]},{"tab":"场景示例","pages":[{"title":"场景示例","href":"/cn/usercases/use-siliconcloud-in-ClaudeCode"}]},{"tab":"API 手册","groups":[{"group":"文本系列","pages":[{"title":"创建对话请求(OpenAI)","openapi":"post /chat/completions","description":"Creates a model response for the given chat conversation.","href":"/cn/api-reference/chat-completions/chat-completions"},{"title":"创建对话请求(Anthropic)","openapi":"post /messages","href":"/cn/api-reference/chat-completions/messages"},{"title":"创建快速决策请求(TypeSafe)","openapi":"post /systemone","description":"[Alpha] Make yes/no judgments, option selections, or scoring assessments based on the given input. Use this endpoint to call the TypeSafe decision model `Kev-4B`.\n\nThis API is still in a testing and validation stage; it may be adjusted or discontinued. Free of charge until 2026-10-08 (inclusive); if charging starts after that, it will be announced separately.\n\nSend a shared `state` plus a map of typed `questions`. Question types (`noul`, `choice`, `score`) may be mixed in the same request. Response `answers` uses the same keys as the request `questions`.\n","href":"/cn/api-reference/systemone/create-systemone"},{"title":"创建嵌入请求","openapi":"post /embeddings","href":"/cn/api-reference/embeddings/create-embeddings"},{"title":"创建重排序请求","openapi":"post /rerank","href":"/cn/api-reference/rerank/create-rerank"}]},{"group":"文本补全系列","pages":[{"title":"创建文本补全请求","openapi":"post /completions","href":"/cn/api-reference/completion/create-completion"}]},{"group":"图像系列","pages":[{"title":"创建图片生成请求","openapi":"post /images/generations","href":"/cn/api-reference/images/images-generations"}]},{"group":"语音系列","pages":[{"title":"上传参考音频","openapi":"post /uploads/audio/voice","href":"/cn/api-reference/audio/upload-voice"},{"title":"创建文本转语音请求","openapi":"post /audio/speech","href":"/cn/api-reference/audio/create-speech"},{"title":"参考音频列表获取","openapi":"get /audio/voice/list","href":"/cn/api-reference/audio/voice-list"},{"title":"删除参考音频","openapi":"post /audio/voice/deletions","href":"/cn/api-reference/audio/delete-voice"}]},{"group":"视频系列","pages":[{"title":"创建视频生成请求","openapi":"post /video/submit","href":"/cn/api-reference/videos/videos_submit"},{"title":"获取视频生成链接请求","openapi":"post /video/status","href":"/cn/api-reference/videos/get_videos_status"}]},{"group":"平台系列","pages":[{"title":"获取用户模型列表","openapi":"get /models","href":"/cn/api-reference/models/get-model-list"},{"title":"获取用户账户信息","openapi":"get /user/info","href":"/cn/api-reference/userinfo/get-user-info"}]}]},{"tab":"常见问题","pages":[{"title":"常见问题","href":"/cn/faqs/stream-mode"}]},{"tab":"更新公告","pages":[{"title":"更新公告","href":"/cn/release-notes/overview"}]},{"tab":"条款与协议","pages":[{"title":"条款与协议","href":"/cn/legals/terms-of-service"}]}]}]},"basePath":"","title":"创建对话请求(Anthropic) - SiliconFlow","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CS552b7R.js","utils-DDTCYAF2.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-De8ttokP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DrwRDvAh.js","snippetPresets-DtAN0nWx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D5rWArI6.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-O2i12wsz.js","shallow-DV8xABTt.js","getApiPlaygroundDisplay-DBZ0B5Jx.js","CodeSnippet-BVi0tPUX.js","CodeSnippets-CqASbIwY.js","Page-m07pfKpT.js","getPastedJson-DG9vsMS8.js","icon-CXzRSCr8.js","MethodPill-BdKVtEuX.js","DuplicateIcon-CZlmBrJI.js","createIcon-biFEUKPL.js","DynamicMarkdown-B54_zNBF.js","SectionHeading-DwwHK3Pt.js","axios-vUo_bRtp.js","Markdown-DfhCTwyA.js","clsx-xpJZXxdP.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BTZUMDnx.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-DqdKa2R4.js"]}